## org.hibernate.id.enhanced
Interface AccessCallback

    public interface AccessCallback

Contract for providing callback access to a `DatabaseStructure`, typically from the `Optimizer`.

Author:
  Steve Ebersole

Method Summary
`IntegralDataTypeHolder` `getNextValue()` Retrieve the next value from the underlying source.

Method Detail

### getNextValue

    IntegralDataTypeHolder getNextValue()

  Retrieve the next value from the underlying source.

  Returns:
    The next value.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.